# Web Offerwall

{% hint style="info" %}
**Quick Info :**&#x20;

Deliver personalized incentives and rewards to your users through AdBreak Media's flexible Offer Wall. Our offerwall seamlessly adapts to any screen, displaying targeted, translated ads based on user device and location.
{% endhint %}

### Integration

Obtain your placement identifier from publisher Dashboard, Determine your unique userId and use the following code to integrate :&#x20;

{% tabs %}
{% tab title="Iframe" %}

#### Without Values :&#x20;

Make sure you replace \[PLACEMENT\_IDENTIFIER] with your placement identifier and \[USER\_ID] with your unique user id.

{% code overflow="wrap" fullWidth="true" %}

```html
<iframe src="https://wall.adbreakmedia.com/[PLACEMENT_IDENTIFIER]/[USER_ID]" allow="autoplay;encrypted-media"></iframe>
```

{% endcode %}

#### With Values :&#x20;

It's just a demo, do not use this, use your own replaced values

{% code overflow="wrap" %}

```html
<iframe src="https://wall.adbreakmedia.com/demoIdentifer/k1234" allow="autoplay;encrypted-media"></iframe>
```

{% endcode %}

#### Sub Ids (Optional) :

You can pass up to 2 Sub Ids : `sub1` & `sub2` , after passing subid, the iframe may look like :&#x20;

{% code overflow="wrap" %}

```html
<iframe src="https://wall.adbreakmedia.com/[PLACEMENT_IDENTIFIER]/[USER_ID]/?sub1=[YOUR_SUB_ID1]&sub2=[YOUR_SUB_ID2]" allow="autoplay;encrypted-media"></iframe>
```

{% endcode %}

#### Recommendation :&#x20;

* `allow="autoplay;encrypted-media"` attribute for best user experience
* You can use css to define iframe height
* You can also use height / width property directly
  {% endtab %}

{% tab title="Direct Link" %}
**Without Values :**&#x20;

Make sure you replace \[PLACEMENT\_IDENTIFIER] with your placement identifier and \[USER\_ID] with your unique user id.

{% code overflow="wrap" fullWidth="true" %}

```url
https://wall.adbreakmedia.com/[PLACEMENT_IDENTIFIER]/[USER_ID]
```

{% endcode %}

#### With Values :&#x20;

It's just a demo, do not use this, use your own replaced values

```html
https://wall.adbreakmedia.com/demoIdentifer/k1234
```

#### Sub Ids (Optional) :

You can pass up to 2 Sub Ids : `sub1` & `sub2` , after passing subid, the iframe may look like :&#x20;

{% code overflow="wrap" %}

```uri
https://wall.adbreakmedia.com/[PLACEMENT_IDENTIFIER]/[USER_ID]/?sub1=[YOUR_SUB_ID1]&sub2=[YOUR_SUB_ID2]
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="warning" %}
**Important :**\
You must user allow="autoplay;encrypted-media" in iframe, this can provider a great user experience & higher conversions to you.
{% endhint %}

To avoid any tracking-related issues, please ensure that the User Id you provide does not exceed 254 characters.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adbreakmedia.com/monetization/web-offerwall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
